Core - Feature # 48644

Status: Accepted Priority: Should have

Author: Christian Tauscher Category: Backend User Interface
Created: 2013-05-29 Assigned To:

Updated: 2015-01-31 Due date:

PHP Version:

Complexity:

Sprint Focus:

Subject: Easy way to replaceReferences

Description

(lam talking about T3 V6+)

Images are stores as IRRE Records.
Along with the Image there are Captions and altext/title text stored.

Now | wand to repace the Image A with Image B

(B is not a new Version of A: This could be achived with overwriting the file is selfe)

If you want to replace the Image with an other you have to
- add a new Image,

- copy the alt-Text/caption to the new

- move the New Image to the old position

- delete the Old image,

There sould be a Button "Replace the File".

i would welcome this feature in the next Version of TYPOS3.

Thank you,

Christian.

Related issues:
related to Core - Feature # 56133: Replace file feature for fal file list

related to Core - Feature # 66514: Better Ul to move multiple files or folders

Resolved
New

2014-02-19
2015-04-21

History

#1 - 2013-05-29 18:54 - Andreas Wolf
- Status changed from New to Accepted
- Target version deleted (6.2.0)

#2 - 2014-01-26 16:03 - Rafal Brzeski
We need this feature in TYPO3 6.2 LTS.

Is there a chance that it will be in 6.2?

#3 - 2015-01-14 21:26 - Mathias Schreiber

- Sprint Focus set to On Location Sprint
#4 - 2015-01-31 15:25 - Mathias Schreiber

- Subject changed from Easy way to replace Image-References to Easy way to replaceReferences
- Category changed from File Abstraction Layer (FAL) to Backend User Interface

- Target version set to 7.4 (Backend)

- Sprint Focus deleted (On Location Sprint)

We had a rather hard time understanding the ticket.

So the intention is to replace an IRRE relation from within FormEngine.
